|  | Home · All Classes · Modules

# Phonon.AudioCaptureDevice Class Reference
[phonon module]

### Methods

- __init__ (self)
- __init__ (self, int index, dict-of-QByteArray-QVariant properties)
- __init__ (self, AudioCaptureDevice)
- QString description (self)
- int index (self)
- bool isValid (self)
- QString name (self)
- QVariant property (self, str name)
- list-of-QByteArray propertyNames (self)

### Static Methods

- AudioCaptureDevice fromIndex (int index)

### Special Methods

- bool __eq__ (self, AudioCaptureDevice otherDescription)
- bool __ne__ (self, AudioCaptureDevice otherDescription)

## Detailed Description

## Method Documentation

### AudioCaptureDevice.__init__ (self)

### AudioCaptureDevice.__init__ (self, int index, dict-of-QByteArray-QVariant properties)

### AudioCaptureDevice.__init__ (self, AudioCaptureDevice)

### QString AudioCaptureDevice.description (self)

### AudioCaptureDevice AudioCaptureDevice.fromIndex (int index)

### int AudioCaptureDevice.index (self)

### bool AudioCaptureDevice.isValid (self)

### QString AudioCaptureDevice.name (self)

### QVariant AudioCaptureDevice.property (self, str name)

### list-of-QByteArray AudioCaptureDevice.propertyNames (self)

### bool AudioCaptureDevice.__eq__ (self, AudioCaptureDevice otherDescription)

### bool AudioCaptureDevice.__ne__ (self, AudioCaptureDevice otherDescription)